<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class FotoTarefaGerChkFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function insertFotoTarefaGerChk($params) {
        $sql = "INSERT INTO FCM_FOTOTAREFAGERCHK (
                NRFOTOTAREFAGERCHK,
                DSFOTOTAREFAGERCHK,
                NRTAREFAGERCHK,
                DSTYPE,
                QTSIZE
            ) VALUES (
                :NRFOTOTAREFAGERCHK,
                :DSFOTOTAREFAGERCHK,
                :NRTAREFAGERCHK,
                :DSTYPE,
                :QTSIZE
            )";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}

?>