import { Modal, ModalService } from '@zeedhi/common';

export class ModalHierarquiaController {
  private NewHierarchyModal!: Modal;

  private NewUserHierarchyModal!: Modal;

  /* ---------- Criar ------------*/
  public async createNewHierarchyModal() {
    this.NewHierarchyModal = await ModalService.createFromJson('/modal/modalNovaHierarquia', true);
  }

  public async createNewUserHierarchyModal() {
    this.NewUserHierarchyModal = await ModalService.createFromJson('/modal/modalNovoUsuarioHierarquia', true);
  }

  /* ---------- Destruir ------------*/
  public destroyNewHierarchyModal() {
    this.NewHierarchyModal.destroy();
  }

  public destroyNewUserHierarchyModal() {
    this.NewUserHierarchyModal.destroy();
  }

  /* ---------- Abrir ------------*/
  public openNewHierarchyModal() {
    this.NewHierarchyModal.show();
  }

  public openNewUserHierarchyModal() {
    this.NewUserHierarchyModal.show();
  }

  /* ---------- Fechar ------------*/
  public closeNewHierarchyModal() {
    this.NewHierarchyModal.hide();
  }

  public closeNewUserHierarchyModal() {
    this.NewUserHierarchyModal.hide();
  }
}
